Bug 21086 - false comparison of red, blue, green values in HSSFPalette
Summary: false comparison of red, blue, green values in HSSFPalette
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HSSF (show other bugs)
Version: unspecified
Hardware: All All
: P3 major (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-06-25 15:59 UTC by Tobias Haubner
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Haubner 2003-06-25 15:59:01 UTC
version: 1.10.0-dev 22/03/2003
class: org.apache.poi.hssf.usermodel.HSSFPalette
method: findColor() line 106

error: if (b[0] == red && b[1] == blue && b[2] == green)

fix: if (b[0] == red && b[1] == green && b[2] == blue)
Comment 1 Avik Sengupta 2003-06-25 22:40:43 UTC
seems logical to me.. but cant be sure.. can anyone else confirm this fix and/or
provide an unit test
Comment 2 Avik Sengupta 2003-07-01 15:11:25 UTC
PaletteRecord returns values as R-G-B.Committed. Thanks Tobias!